
# react-native-image-picker

## Getting started

`$ npm install react-native-image-picker --save`

### Mostly automatic installation

`$ react-native link react-native-image-picker`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-image-picker` and add `RNImagePicker.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNImagePicker.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNImagePickerPackage;` to the imports at the top of the file
  - Add `new RNImagePickerPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-image-picker'
  	project(':react-native-image-picker').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-image-picker/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-image-picker')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNImagePicker.sln` in `node_modules/react-native-image-picker/windows/RNImagePicker.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Image.Picker.RNImagePicker;` to the usings at the top of the file
  - Add `new RNImagePickerPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNImagePicker from 'react-native-image-picker';

// TODO: What to do with the module?
RNImagePicker;
```
  