package com.reactlibrary;

import android.graphics.Bitmap;

public class Image {
    private boolean selected;
    private String path;
    private Bitmap imageBitmap;

    public Image(String path, boolean selected){
        setPath(path);
        setSelected(selected);
    }

    public Image(String path, boolean selected, Bitmap imageBitmap){
        setPath(path);
        setSelected(selected);
        setImageBitmap(imageBitmap);
    }

    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Bitmap getImageBitmap() {
        return imageBitmap;
    }

    public void setImageBitmap(Bitmap imageBitmap) {
        this.imageBitmap = imageBitmap;
    }

}
