package com.reactlibrary;

import java.util.List;

public class ImageProcessingParams{
    private int width;
    private int height;
    private int ratio;
    private List<String> paths;
    private boolean doWatermark;

    public ImageProcessingParams(int width, int height, int ratio, List<String> paths, boolean doWatermark) {
        this.width = width;
        this.height = height;
        this.ratio = ratio;
        this.paths = paths;
        this.doWatermark = doWatermark;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public int getRatio() {
        return ratio;
    }

    public void setRatio(int ratio) {
        this.ratio = ratio;
    }

    public List<String> getPaths() {
        return paths;
    }

    public void setPaths(List<String> paths) {
        this.paths = paths;
    }

    public boolean isDoWatermark() {
        return doWatermark;
    }

    public void setDoWatermark(boolean doWatermark) {
        this.doWatermark = doWatermark;
    }
}